import dynamix_sdk.base as _base


class CloudapiComputeCreateTemplateResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiComputeCreateTemplateProtocol(_base.BasePostAPIFunctionProtocol):
    def create_template(
        self,
        *,
        vm_id: int,
        name: str
    ) -> CloudapiComputeCreateTemplateResultStr:
        ...
